Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info

READ-ONLY-MODE: PLEASE DO NOT POST NEW STUFF!
  New Forum: http://forum.puppylinux.com
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 12 Aug 2020, 20:23
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
ScPup & ScPup64 - Slackware Current based Woof-CE pups
Moderators: Flash, JohnMurga
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
Page 12 of 23 [335 Posts]   Goto page: Previous 1, 2, 3, ..., 10, 11, 12, 13, 14, ..., 21, 22, 23 Next
Author Message
peebee


Joined: 21 Sep 2008
Posts: 4391
Location: Worcestershire, UK

PostPosted: Sun 08 Sep 2019, 17:47    Post subject:  

OscarTalks wrote:
On the download page, the button for Kernel Headers links to the 64bit Compat.

Many thanks - fixed....

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 4391
Location: Worcestershire, UK

PostPosted: Mon 30 Sep 2019, 07:25    Post subject:  

New versions available - see posts #1 and #2

447705dd999ea56c93649feddda328f4 ScPup-19.09+3-uefi-T.iso

cd717ae611ddaab568ebf1687150e050 ScPup64-19.09+0-uefi-T.iso {delta from 19.06+0 to 19.09+0}

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 4391
Location: Worcestershire, UK

PostPosted: Sun 01 Dec 2019, 15:09    Post subject:  

New 19.09+7 versions available - see posts #1 and #2
_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
Wiz57


Joined: 03 Feb 2019
Posts: 99
Location: Chickasha, OK

PostPosted: Mon 02 Dec 2019, 22:37    Post subject:  

Updated my frugal HDD installs of ScPup and ScPupLXQt...no issues to
date, everything running as expected!
Thank you peebee!
Wiz Wink
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 4391
Location: Worcestershire, UK

PostPosted: Thu 05 Dec 2019, 06:26    Post subject:  

There appear to be some keyboard problems (with some hardware) with 19.09+7 .... apologies

If you are seeing problems like keys mapped incorrectly or country settings not being permanent please convert your 19.09+7 iso to an 19.09+7X iso with the:

ScPup32 19.09+7 to 7X delta

ScPup64 19.09+7 to 7X delta

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
s243a

Joined: 02 Sep 2014
Posts: 2626

PostPosted: Sat 07 Dec 2019, 02:42    Post subject:  

I gave the latest 32bit ISO a try.

It took me three tries to create the save file. Normally, with a new pup I like to reboot and create the save file ASAP because historically, it has caused issues if I made too many changes before creating the save file.

With this pup there is a lot of windows that pop up and X restarts, even if you instruct it not to. This means that if one starts the reboot to soon, then one might not successfully create the save file. It's no big deal once one knows how to work around this but can be a bit time consuming if it unexpectedly happens to new users.

_________________
Find me on minds and on pearltrees.
Back to top
View user's profile Send private message Visit poster's website 
s243a

Joined: 02 Sep 2014
Posts: 2626

PostPosted: Sat 07 Dec 2019, 03:37    Post subject:  

If I got to the menu under internet and select "download browser", it first doesn't check to see if the sfs file already exists under /mnt/home, before downloading the file. Ideally it should check if the file already exists first before wasting time and disk-life downloading another copy.

Also when I run the sfs brower, it restarts X and this closes anything that X started as a child process such as the U Light browser .

_________________
Find me on minds and on pearltrees.
Back to top
View user's profile Send private message Visit poster's website 
ozsouth

Joined: 01 Jan 2010
Posts: 862
Location: S.E Australia

PostPosted: Wed 11 Dec 2019, 21:23    Post subject: jwm 2.3.7 update 64bit  

superseded - see below
Last edited by ozsouth on Fri 13 Dec 2019, 19:17; edited 9 times in total
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 4391
Location: Worcestershire, UK

PostPosted: Thu 12 Dec 2019, 06:45    Post subject:  

@s243a - edit line #110 of /usr/bin/lx_sfs_mgr to comment out:
&& #restartwm
but note that menu will not be updated until a restartwm is done

@ozsouth - ScPup64 is current using jwm from Salix - please try Arch Linux version:
http://ftp5.gwdg.de/pub/linux/archlinux/community/os/x86_64//jwm-2.3.7-1-x86_64.pkg.tar.xz - rename to .txz to install

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
ozsouth

Joined: 01 Jan 2010
Posts: 862
Location: S.E Australia

PostPosted: Thu 12 Dec 2019, 07:32    Post subject:  

Thanks Peebee - that pkg works a treat. Disables desktop scrolling upon install & shows as installed in PPM. Has locales too.
P.S. My earlier .pet is based on the Slack-Only package. That pkg works same as the arch one does, but is bigger (have fixed my pet.specs issue).

Last edited by ozsouth on Thu 12 Dec 2019, 22:03; edited 2 times in total
Back to top
View user's profile Send private message 
ozsouth

Joined: 01 Jan 2010
Posts: 862
Location: S.E Australia

PostPosted: Thu 12 Dec 2019, 22:02    Post subject: jwm update to 2.3.7  

One of my annoyances is scrollwheel desktop switching, which cannot be disabled in the jwm-2.3.6 in ScPup64.
I've made a basic jwm 2.3.7 .pet from the ArchLinux pkg Peebee found (no locales, as ScPup64 doesn't).
Note .pet with dependency libjpeg.so.8 to be installed first.
Click on .pets in Roxfiler to install, then restart X.
Installs basic jwm 2.3.7 & disables desktop scrolling upon install & restarting X. (NOTE: later version, further down, doesn't need libjpeg802).
libjpeg802.pet
Description  Provides needed libjpeg.so.8
pet

 Download 
Filename  libjpeg802.pet 
Filesize  112.96 KB 
Downloaded  87 Time(s) 
jwm-2.3.7-1-x86_64.pet
Description  64 bit only
pet

 Download 
Filename  jwm-2.3.7-1-x86_64.pet 
Filesize  121.39 KB 
Downloaded  86 Time(s) 

Last edited by ozsouth on Sat 14 Dec 2019, 08:14; edited 4 times in total
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 4391
Location: Worcestershire, UK

PostPosted: Fri 13 Dec 2019, 05:52    Post subject:  

@ozsouth
I get an unsatisfied dependency on libjpeg.so.8......wonder why you're not seeing that?

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
ozsouth

Joined: 01 Jan 2010
Posts: 862
Location: S.E Australia

PostPosted: Fri 13 Dec 2019, 08:01    Post subject:  

Oops - I forgot I had wpsoffice as a ydrv - has libjpeg.so.8 dependency. Also I have xine using it. See dependency .pet above (libjpeg.so.8.0.2).
Last edited by ozsouth on Fri 13 Dec 2019, 17:49; edited 1 time in total
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 4391
Location: Worcestershire, UK

PostPosted: Fri 13 Dec 2019, 10:52    Post subject:  

Mystery solved Wink

Please try:
http://ftp.br.debian.org/debian/pool/main/j/jwm/jwm_2.3.7-3_amd64.deb

seems OK to me........

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
ozsouth

Joined: 01 Jan 2010
Posts: 862
Location: S.E Australia

PostPosted: Fri 13 Dec 2019, 19:14    Post subject:  

That works peebee, but has debian specific stuff including in /usr/lib ilo 64. I found that only my xine needs libjpeg.so.8 (wpsoffice has its own pkg).
So I made a standalone 64bit .pet of your deb without debian specifics or locales - works fine. Install by clicking on it in Roxfiler & restarting X.
jwm-2.3.7-3_amd64.pet
Description  64 bit only standalone
pet

 Download 
Filename  jwm-2.3.7-3_amd64.pet 
Filesize  122.41 KB 
Downloaded  92 Time(s) 
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 12 of 23 [335 Posts]   Goto page: Previous 1, 2, 3, ..., 10, 11, 12, 13, 14, ..., 21, 22, 23 Next
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0952s ][ Queries: 12 (0.0501s) ][ GZIP on ]